package com.huimv.center.service;

import com.huimv.center.pojo.BizDeviceRegister;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;

import java.text.ParseException;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-06-21
 */
public interface BizDeviceRegisterService extends IService<BizDeviceRegister> {

    Result add(String chip_id, String device_code, String register_date, String server_ip, String server_port, String remark) throws ParseException;

    Result edit(Integer id, String chip_id, String device_code, String register_date, String server_ip, String server_port, String remark) throws ParseException;

    Result remove(String ids);

    Result listAll();
}
